<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__l2cap__queue__flow__control__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_l2cap_queue_flow_control_info_t</compoundname>
    <includes local="no">cy_ble_stack_l2cap.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__l2cap__queue__flow__control__info__t_1adfde6acfbd0e971d7d2633ad3a8a458e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_l2cap_queue_flow_control_info_t::bdHandle</definition>
        <argsstring />
        <name>bdHandle</name>
        <briefdescription>
<para>bd handle of remote device </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="305" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="305" />
      </memberdef>
      <memberdef id="structcy__stc__ble__l2cap__queue__flow__control__info__t_1ac695d2363ebadddd12b8c30680b5bbb6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_l2cap_queue_flow_control_info_t::lowWaterMark</definition>
        <argsstring />
        <name>lowWaterMark</name>
        <briefdescription>
<para>low water mark level </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="308" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="308" />
      </memberdef>
      <memberdef id="structcy__stc__ble__l2cap__queue__flow__control__info__t_1a5acde3f372f4f7b238a38bae16ddb8dd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_l2cap_queue_flow_control_info_t::highWaterMark</definition>
        <argsstring />
        <name>highWaterMark</name>
        <briefdescription>
<para>high water level </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="311" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="311" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>L2CAP queue flow control with water level marking. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="313" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="302" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="303" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__l2cap__queue__flow__control__info__t_1adfde6acfbd0e971d7d2633ad3a8a458e" virt="non-virtual"><scope>cy_stc_ble_l2cap_queue_flow_control_info_t</scope><name>bdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__l2cap__queue__flow__control__info__t_1a5acde3f372f4f7b238a38bae16ddb8dd" virt="non-virtual"><scope>cy_stc_ble_l2cap_queue_flow_control_info_t</scope><name>highWaterMark</name></member>
      <member prot="public" refid="structcy__stc__ble__l2cap__queue__flow__control__info__t_1ac695d2363ebadddd12b8c30680b5bbb6" virt="non-virtual"><scope>cy_stc_ble_l2cap_queue_flow_control_info_t</scope><name>lowWaterMark</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>